Subject: Re: [ietf-dkim] A more fundamental SSP axiom

From: Scott Kitterman <[email-masked]>
Date: Wed, 02 Aug 2006 10:30 -0600

On Wed, 02 Aug 2006 08:28:20 -0500 wayne <[email-masked]> wrote:
>In <[email-masked]> Dave Crocker <[email-masked]> writes:
>
>> John L wrote:
>>>   SSP exists so that receivers can make better decisions about
>>>   handling their incoming mail.
>>> Corollary:
>>>   Information not useful to receivers doesn't belong in SSP.
>
>I agree, but it is also important to remember that anything that has
>no value to the sender will likely not be put into the SSP either.
>
>
>> For this initial round of SSP, the wording of the Corollary probably 
needs to be:
>>
>>     Information that is not widely viewed by receivers as essential 
doesn't
>>     belong in SSP.
>
>I think this is very short sighted.  It is rare that a protocol gets
>more than one or two revisions.  I don't think it is certain that DKIM
>will actually even surpasses DK usage and receives wide adoption, but
>I think it is very unlikely that we will get a chance to update DKIM
>and have that update receive wide adoption.
>
>There certainly should be a cost/benefit analysis done.  If a feature
>is costly to add and has little obvious benefit to both senders and
>receivers, then, yeah, drop it.  However, if a feature is cheap or
>trivial to add, then just because there aren't people willing to use
>it *immediately* is no reason to rule it out.  And, yes, the overall
>complexity of the SSP system needs to be added into the cost, I'm not
>saying that all features that, in isolation, are "cheap" should be
>added, just that we shouldn't design SSP for only today and not for
>5-10 years down the road.
>
+1

Scott K
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Dave Crocker <[email-masked]>
Date: Wed, 02 Aug 2006 10:07:52 -0700

Scott Kitterman wrote:
>> more than one or two revisions.  ...
>> receivers, then, yeah, drop it.  ...
>>
> +1

1. The phrase "for the initial round" is explicitly stating that the goal is
near-term.  From one perspective, that is the very definition of short-sighted.
 In other words, that is exactly what I intended, although of course not with
the negative connotation of the latter term.

2. Statements about what works and doesn't work, for adoption of Internet
standards should come with some sort of empirical basis.  My own basis is that
every Internet protocol that has succeeded has begun with a modest list of
functions and has grown from there.  (Yes, I said every single one.)

3. A claim that we only ever get one or two versions of a protocol is
demonstrably false.  More importantly, it a) misses the model of incremental
extension that has been so successful for so many Internet protocols, and b)
seems to have a remarkably high correlation with the production of large,
complex, cumbersome protocols that get released late, never get fielded or never
work very well... (IMO)

Bottom Line:

     Although it is essential that a protocol specification be deployed only
after due deliberation, it is equally essential that it be concise, coherent and
compelling.

     In other words the market needs to understand it and needs to believe its
adoption is important... for the near term.

All of this argues strongly for the criterion I suggested.

d/
-- 

  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html